package com.ym.mec.im.fallback;

import java.util.List;

import org.springframework.stereotype.Component;

import com.ym.mec.common.entity.ImGroupMessage;
import com.ym.mec.common.entity.ImGroupModel;
import com.ym.mec.common.entity.ImPrivateMessage;
import com.ym.mec.common.entity.ImResult;
import com.ym.mec.common.entity.ImUserModel;
import com.ym.mec.im.ImFeignService;
import com.ym.mec.im.entity.GroupModel;

@Component
public class ImFeignServiceFallback implements ImFeignService {
    @Override
    public ImResult register(ImUserModel userModel) {
    	
    	System.out.println("*******************");
        return null;
    }

    @Override
    public void update(ImUserModel userModel) {

    }

    @Override
    public Object groupCreate(GroupModel groupModel) {
        return null;
    }

    @Override
    public void groupBatchCreate(List<GroupModel> groupModels) {

    }

    @Override
    public Object groupJoin(GroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupBatchJoin(List<GroupModel> groupModels) {
        return null;
    }

    @Override
    public Object groupQuit(GroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupDismiss(GroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupBatchDismiss(List<ImGroupModel> groupModels) {
        return null;
    }

    @Override
    public Object groupBatchQuit(List<GroupModel> groupModels) {
        return null;
    }

    @Override
    public Object privateSend(ImPrivateMessage privateMessage) {
        return null;
    }

    @Override
    public Object groupSend(ImGroupMessage imGroupMessage) {
        return null;
    }
/*
    @Override
    public Object privateSendCustom(ImGroupMessage groupMessage) {
        return null;
    }*/
}
